{% extends "base.html" %} {% block links %} {{ super() }} {% endblock %} {%
block title %} Liste des étudiants {% endblock %} {% block header %} {% include
"sub_templates/header.html" %} {% endblock %} {% block main %}
<p>L'heure actuelle est <span id="heure"></span>.</p>

<script>
    // Récupère l'élément avec l'id "heure"
    var heureElement = document.getElementById('heure');

    // Fonction qui met à jour l'heure toutes les secondes
    function mettreAJourHeure() {
        var date = new Date(); // Récupère la date et l'heure actuelles
        var heure = date.toLocaleTimeString(); // Récupère l'heure sous forme de chaîne de caractères
        heureElement.textContent = heure; // Met à jour le contenu de l'élément avec l'heure
    }

    // Appelle la fonction toutes les secondes
    setInterval(mettreAJourHeure, 1000);
</script>
<h1 class="text-2xl font-semibold mb-4 text-center w-fit mx-auto flex">
  Liste des étudiants
</h1>

<div class="flex gap-5 w-full h-12 mb-10">
  <div class="flex flex-col">
    <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
    <input
      id="search"
      oninput="refresh()"
      type="text"
      required
      placeholder="Effectuez votre recherche ici..."
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64"
    />
  </div>

  <div class="flex flex-col">
    <label class="font-medium mb-2 text-gray-900 text-sm"
      >Filtrer par promotion</label
    >
    <select
      placeholder="Effectuez votre recherche ici..."
      onchange="document.location.href = `/student/search_by_promo/${this.value}`"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64"
    >
      <option>Toutes</option>
      {% for promo in get_all_promo() %}
      <option value="{{ promo.id }}">
        {{ promo.name }} Géré par {{ get_promo_manager_by_id(promo.id) }}
      </option>
      {% endfor %}
    </select>
  </div>

  <div class="flex flex-col ml-auto">
    <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
    <div id="orders" class="flex whitespace-nowrap gap-2">
      <button
        onclick="order(this)"
        value="2"
        invert
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"
      >
        Status (décroissant)
      </button>
      <button
        onclick="order(this)"
        value="3"
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"
      >
        Type de formation
      </button>
      <button
        value="3"
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"
      >
        <a href="{{ url_for('my_promo') }}">Voir ma promotion</a>
      </button>
    </div>
  </div>
</div>

<table class="w-full rounded-lg overflow-hidden border border-collapse">
  <tbody>
    <tr class="bg-gray-50 text-gray-900 text-sm">
      <th
        class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
      >
        Nom de l'étudiant
      </th>
      <th
        class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
      >
        Promotion
      </th>
      <th
        class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
      >
        Nombre de candidatures
      </th>
      <th
        class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
      >
        Type de formation
      </th>
      <th
        class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
      >
        Status
      </th>
    </tr>

    <input type="hidden" class="bg-blue-100">

    {% for belong in data %}
    <tr
      class="bg-gray-50 text-gray-900 text-sm {% if belong.user.status_search == 0 %} bg-red-200 {% elif belong.user.status_search == 1 %} bg-yellow-200 {% elif belong.user.status_search == 2 %} bg-green-200 {% else %} bg-yellow-100 {% endif %}"
    >
      <td name="1" class="px-2.5 py-2 overflow-hidden">
        <a
          title="Voir son profil"
          href="{{ url_for('user_profil', id = belong.user.id ) }}"
          class="text-[var(--blue)] underline"
          >{{ belong.user.first_name }} {{ belong.user.last_name }}</a
        >
      </td>
      <td class="px-2.5 py-2 overflow-hidden">
        {{ get_user_belongs_to_promo(belong.user.id).name }}
      </td>
      <td class="px-2.5 py-2 overflow-hidden">
        {{ get_nb_history_by_user_id(belong.user.id) }}
      </td>
      <td name="3" class="px-2.5 py-2 overflow-hidden">
        {% if belong.is_initiale %} Initial(e) {% else %} Apprenti(e){% endif %}
      </td>
      <td name="2" class="px-2.5 py-2 overflow-hidden">
        {% if belong.user.status_search == 0 %}Pas encore candidaté {% elif
        belong.user.status_search == 1 %}En cours {% elif
        belong.user.status_search == 2 %}Accepté(e) {% else %}En cours {% endif
        %}
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

{% endblock %} {% block footer %} {% include "sub_templates/footer.html" %} {%
endblock footer%} {% block script %} {{ super() }} {% endblock %}
